<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>AbandonedTrace (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbandonedTrace (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbandonedTrace.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/dbcp2/AbandonedTrace.html" target="_top">Frames</a></li>
<li><a href="AbandonedTrace.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.dbcp2</div>
<h2 title="Class AbandonedTrace" class="title">Class AbandonedTrace</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.dbcp2.AbandonedTrace</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/TrackedUse.html?is-external=true" title="class or interface in org.apache.commons.pool2">TrackedUse</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">DelegatingConnection</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingResultSet.html" title="class in org.apache.commons.dbcp2">DelegatingResultSet</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html" title="class in org.apache.commons.dbcp2">DelegatingStatement</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">AbandonedTrace</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/TrackedUse.html?is-external=true" title="class or interface in org.apache.commons.pool2">TrackedUse</a></pre>
<div class="block">Tracks db connection usage for recovering and reporting abandoned db connections.
 <p>
 The JDBC Connection, Statement, and ResultSet classes extend this class.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html#AbandonedTrace--">AbandonedTrace</a></span>()</code>
<div class="block">Creates a new AbandonedTrace without config and without doing abandoned tracing.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html#AbandonedTrace-org.apache.commons.dbcp2.AbandonedTrace-">AbandonedTrace</a></span>(<a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html" title="class in org.apache.commons.dbcp2">AbandonedTrace</a>&nbsp;parent)</code>
<div class="block">Constructs a new AbandonedTrace with a parent object.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html#addTrace-org.apache.commons.dbcp2.AbandonedTrace-">addTrace</a></span>(<a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html" title="class in org.apache.commons.dbcp2">AbandonedTrace</a>&nbsp;trace)</code>
<div class="block">Adds an object to the list of objects being traced.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html#clearTrace--">clearTrace</a></span>()</code>
<div class="block">Clears the list of objects being traced by this object.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html#getLastUsed--">getLastUsed</a></span>()</code>
<div class="block">Gets the last time this object was used in milliseconds.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html" title="class in org.apache.commons.dbcp2">AbandonedTrace</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html#getTrace--">getTrace</a></span>()</code>
<div class="block">Gets a list of objects being traced by this object.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html#removeThisTrace-java.lang.Object-">removeThisTrace</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;source)</code>
<div class="block">Removes this object the source object is tracing.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html#removeTrace-org.apache.commons.dbcp2.AbandonedTrace-">removeTrace</a></span>(<a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html" title="class in org.apache.commons.dbcp2">AbandonedTrace</a>&nbsp;trace)</code>
<div class="block">Removes a child object this object is tracing.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html#setLastUsed--">setLastUsed</a></span>()</code>
<div class="block">Sets the time this object was last used to the current time in milliseconds.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html#setLastUsed-long-">setLastUsed</a></span>(long&nbsp;lastUsedMillis)</code>
<div class="block">Sets the time in milliseconds this object was last used.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbandonedTrace--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AbandonedTrace</h4>
<pre>public&nbsp;AbandonedTrace()</pre>
<div class="block">Creates a new AbandonedTrace without config and without doing abandoned tracing.</div>
</li>
</ul>
<a name="AbandonedTrace-org.apache.commons.dbcp2.AbandonedTrace-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbandonedTrace</h4>
<pre>public&nbsp;AbandonedTrace(<a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html" title="class in org.apache.commons.dbcp2">AbandonedTrace</a>&nbsp;parent)</pre>
<div class="block">Constructs a new AbandonedTrace with a parent object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - AbandonedTrace parent object.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addTrace-org.apache.commons.dbcp2.AbandonedTrace-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addTrace</h4>
<pre>protected&nbsp;void&nbsp;addTrace(<a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html" title="class in org.apache.commons.dbcp2">AbandonedTrace</a>&nbsp;trace)</pre>
<div class="block">Adds an object to the list of objects being traced.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>trace</code> - AbandonedTrace object to add.</dd>
</dl>
</li>
</ul>
<a name="clearTrace--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearTrace</h4>
<pre>protected&nbsp;void&nbsp;clearTrace()</pre>
<div class="block">Clears the list of objects being traced by this object.</div>
</li>
</ul>
<a name="getLastUsed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLastUsed</h4>
<pre>public&nbsp;long&nbsp;getLastUsed()</pre>
<div class="block">Gets the last time this object was used in milliseconds.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/TrackedUse.html?is-external=true#getLastUsed--" title="class or interface in org.apache.commons.pool2">getLastUsed</a></code>&nbsp;in interface&nbsp;<code><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/TrackedUse.html?is-external=true" title="class or interface in org.apache.commons.pool2">TrackedUse</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>long time in milliseconds.</dd>
</dl>
</li>
</ul>
<a name="getTrace--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTrace</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html" title="class in org.apache.commons.dbcp2">AbandonedTrace</a>&gt;&nbsp;getTrace()</pre>
<div class="block">Gets a list of objects being traced by this object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of objects.</dd>
</dl>
</li>
</ul>
<a name="removeThisTrace-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeThisTrace</h4>
<pre>protected&nbsp;void&nbsp;removeThisTrace(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;source)</pre>
<div class="block">Removes this object the source object is tracing.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - The object tracing</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.7.0</dd>
</dl>
</li>
</ul>
<a name="removeTrace-org.apache.commons.dbcp2.AbandonedTrace-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeTrace</h4>
<pre>protected&nbsp;void&nbsp;removeTrace(<a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html" title="class in org.apache.commons.dbcp2">AbandonedTrace</a>&nbsp;trace)</pre>
<div class="block">Removes a child object this object is tracing.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>trace</code> - AbandonedTrace object to remove.</dd>
</dl>
</li>
</ul>
<a name="setLastUsed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLastUsed</h4>
<pre>protected&nbsp;void&nbsp;setLastUsed()</pre>
<div class="block">Sets the time this object was last used to the current time in milliseconds.</div>
</li>
</ul>
<a name="setLastUsed-long-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setLastUsed</h4>
<pre>protected&nbsp;void&nbsp;setLastUsed(long&nbsp;lastUsedMillis)</pre>
<div class="block">Sets the time in milliseconds this object was last used.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lastUsedMillis</code> - time in milliseconds.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbandonedTrace.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/dbcp2/AbandonedTrace.html" target="_top">Frames</a></li>
<li><a href="AbandonedTrace.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
